<?php 
    $options[] = array(
        'name' => __('Opciones Standar Servidor','HOSTING_SP'),
        'type' => 'heading',
		'std'  => 'hdd'
    );

        $options[] = array(
            'id' => 'standar_img_back',
            'desc' => 'Imagen de Fondo',
            'type' => 'upload'
        );
        $options[] = array(
            'id' => 'show_server_std',
            'desc' => 'Configuración Mostrar Estilo',
            'std' => 1,
            'type' => 'checkbox'
        );

          $options[] = array(
            'name' => __('Informacion zona superior','HOSTING_SP'),
            'type' => 'toggle'
          );
            $options[] = array(
                    'id' => 'show_standar_top',
                'desc' => 'Configuración Mostrar Estilo',
                'std' => 1,
                'type' => 'checkbox'
            );
            $args=array(
                'post_type' => 'std_serv',
                'post_status' => 'publish',
                'posts_per_page' => -1,
            );
            $my_query = null;
            $my_query = new WP_Query($args);
            $std_serv = array();
            
            while ($my_query->have_posts()) {
                $my_query->the_post();
                $std_serv[] = array(
                    'title' => get_the_title(),
                    'icono' => get_field('icon'),
                    'subtitle' => get_field('subtitle'),
                    'description' => get_field('description'),
                    'btn_title' => get_field('btn_title'),
                    'btn_link' => get_field('btn_link')
                );
            }
            $c = 0;
            
            $options[] = array(
                'name' => 'Servicios Standar para mostrar',
                'type' => 'info'
            );
            
            foreach($std_serv as $key){
                $c++;
                $options[] = array(
                    'id' => 'standar_serv'.$c,
                    'desc' => 'Servicio Standar: '.$Clave['title'],
                    'std' => 0,
                    'type' => 'checkbox'
                );
            }            
           /* $options[] = array(
                'id' => 'standar_top_num',
                'desc' => 'Número de Servidores',
                'std' => '3',
                'type' => 'text',
                'class' => 'mini'
            );
            if(of_get_option('standar_top_num')?$cant_s=of_get_option('standar_top_num'):$cant_s=3);
            for($i=1; $i<=$cant_s; $i++){
                $options[] = array(
                    'name' => __('Servidores','HOSTING_SP'),
                    'type' => 'toggle'
                );
                    $options[] = array(
                        'id' => 'standar_top_title'.$i,
                        'desc' => 'Titulo',
                        'std' => 'Title Text',
                        'type' => 'text'
                    );
                    $options[] = array(
                        'id' => 'standar_top_detail'.$i,
                        'desc' => 'Titulo',
                        'std' => 'Detail Text',
                        'type' => 'text'
                    );
                    $options[] = array(
                        'id' => 'standar_top_desc'.$i,
                        'desc' => 'Descripcion',
                        'std' => 'Description Text'.$i,
                        'type' => 'textarea'
                    );
                    $options[] = array(
                        'id' => 'standar_top_btn'.$i,
                        'desc' => 'Texto Boton',
                        'std' => 'Leer mas',
                        'type' => 'text',
                        'class' => 'medium'
                    );
                    $options[] = array(
                        'id' => 'standar_top_btn_link'.$i,
                        'desc' => 'Link  Boton',
                        'type' => 'text',
                    );
                    foreach(font_awesome_icon('stan_top'.$i) as $val){
                        $options[] = $val;
                    }       
                $options[] = array(
                    'name' => __('Servidor','HOSTING_SP'),
                    'type' => 'toggle-close'
                );
            }  */
          $options[] = array(
            'name' => __('Informacion zona superior','HOSTING_SP'),
            'type' => 'toggle-close'
          );
          $options[] = array(
            'name' => __('Informacion zona media','HOSTING_SP'),
            'type' => 'toggle'
          );
            $options[] = array(
                'id' => 'show_standar_mid',
                'desc' => 'Configuración Mostrar Estilo',
                'std' => 1,
                'type' => 'checkbox'
            );
            $args=array(
                'post_type' => 'plan',
                'post_status' => 'publish',
                'posts_per_page' => -1,
            );
            $my_query = null;
            $my_query = new WP_Query($args);
            $plan = array();
            
            while ($my_query->have_posts()) {
                $my_query->the_post();
                $plan[] = array(
                    'title' => get_the_title(),
                    'subtitle' => get_field('subtitle'),
                    'price' => get_field('price'),
                    'freq' => get_field('frequency'),
                    'options' => get_field('options'),
                    'category' => get_field('categoria'),
                    'btn_title' => get_field('btn_title'),
                    'btn_link' => get_field('btn_link')
                );
            }
            $c = 0;
            $options[] = array(
                'name' => 'Planes para mostrar',
                'type' => 'info'
            );
            $options[] = array(
                'id' => 'standar_plan',
                'desc' => 'Planee Categoría para mostrar',
                'std' => 'Plan1',
                'options' => array(
                    'Plan1' => 'Plan1',
                    'Plan2' => 'Plan2',
                    'Plan3' => 'Plan3',
                    'Plan4' => 'Plan4'
                ),
                'type' => 'select'
            );
          $options[] = array(
            'name' => __('Informacion zona media','HOSTING_SP'),
            'type' => 'toggle-close'
          );
          $options[] = array(
            'name' => __('Boton zona informacion','HOSTING_SP'),
            'type' => 'toggle'
          );
                $options[] = array(
                    'id' => 'show_standar_but',
                    'desc' => 'Configuración Mostrar Estilo',
                    'std' => 1,
                    'type' => 'checkbox'
                );
                $options[] = array(
                    'id' => 'standar_but_title',
                    'desc' => 'Titulo',
                    'std' => 'Title Text',
                    'type' => 'textarea'
                );
                $options[] = array(
                    'id' => 'standar_but_desc',
                    'desc' => 'Descripcion',
                    'std' => 'Description Text',
                    'type' => 'textarea'
                );
                $options[] = array(
                    'id' => 'standar_but_img',
                    'std' => 'Image URL',
                    'type' => 'upload'
                );
                $options[] = array(
                    'id' => 'standar_but_img_pos',
                    'desc' => 'Posición de la imagen',
                    'std' => '1',
                    'options' => array(
                        '1' => 'Izquierdo',
                        '2' => 'Derecho'
                    ),
                    'class' => 'side',
                    'type' => 'radio'
                );
          $options[] = array(
            'name' => __('Boton de informacion de zona','HOSTING_SP'),
            'type' => 'toggle-close'
          );

?>